Page MenuHomeFreeBSD

mail/dcc-dccd: Port changes to make fully compliant with FreeBSD
ClosedPublic

Authored by ultima on Jun 17 2017, 10:38 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Feb 12, 2:58 PM
Unknown Object (File)
Mon, Feb 12, 2:58 PM
Unknown Object (File)
Mon, Feb 12, 2:58 PM
Unknown Object (File)
Mon, Feb 12, 5:17 AM
Unknown Object (File)
Mon, Feb 12, 4:41 AM
Unknown Object (File)
Dec 20 2023, 4:38 AM
Unknown Object (File)
Dec 18 2023, 4:52 AM
Unknown Object (File)
Dec 16 2023, 4:22 AM
Subscribers

Details

Summary
  • Added UPDATING entry
  • Removed ALT_HOME option
  • Fixed MILTER_DESC DCCM
  • Changed PORTS_SENDMAIL to PORTS_MILTER
  • Cleaned up old code

PR\: 220070
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint -AC:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
0 fatal errors and 3 warnings found.

poudriere bulk -tC:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Has this been approved by the port's maintainer?

Compiles file. Please hold on committing until you have approval from the maintainer though.

This revision is now accepted and ready to land.Jun 18 2017, 11:59 AM
dbaio added inline comments.
UPDATING
10 ↗(On Diff #29760)

typo here

Compiles file. Please hold on committing until you have approval from the maintainer though.

Not yet, the bug I opened also had a replay,
"dccifd service dies silently after upgrade to latest r443717 revision"

Definitely a good call to keep this commit separate.

UPDATING
10 ↗(On Diff #29760)

Ah, yeah! thanks for catching that.

ultima edited edge metadata.

Fixed typo

This revision now requires review to proceed.Jun 18 2017, 3:35 PM

Your username in "Submitted by" needs to be lowercase.
Also, you can just omit it completely since you are both the submitter and the committer.

You need to add the maintainer in the "Approved by" once getting the approval.

ultima edited the summary of this revision. (Show Details)

lgtm, subject to maintainer approval.

This revision is now accepted and ready to land.Jun 19 2017, 7:02 AM

Your username in "Submitted by" needs to be lowercase.
Also, you can just omit it completely since you are both the submitter and the committer.

You need to add the maintainer in the "Approved by" once getting the approval.

Will add maintainer to Approved by once he replies.

This revision was automatically updated to reflect the committed changes.